Bug 101086

Summary: [CSS Exclusions] Implement text alignment for shape-inside
Product: WebKit Reporter: Bear Travis <betravis>
Component: CSSAssignee: Bear Travis <betravis>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, donggwan.kim, stearns
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 89256    
Attachments:
Description Flags
Initial Patch, Adding Tests
none
Fixing style issues
achicu: review+
Minor adjustment none

Description Bear Travis 2012-11-02 12:17:53 PDT
Specifically for multi-segment polygons, this can be complex.
Comment 1 Alan Stearns 2013-02-20 07:26:55 PST
Add tests for all alignments (particularly justified) with this fix.
Comment 2 Bear Travis 2013-06-13 16:29:23 PDT
Created attachment 204651 [details]
Initial Patch, Adding Tests
Comment 3 WebKit Commit Bot 2013-06-13 16:31:17 PDT
Attachment 204651 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast/exclusions/resources/multi-segment-polygon.js', u'LayoutTests/fast/exclusions/shape-inside/shape-inside-text-align-expected.html', u'LayoutTests/fast/exclusions/shape-inside/shape-inside-text-align.html']" exit_code: 1
LayoutTests/ChangeLog:8:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Bear Travis 2013-06-13 16:34:41 PDT
Created attachment 204652 [details]
Fixing style issues
Comment 5 Alexandru Chiculita 2013-06-14 14:25:49 PDT
Comment on attachment 204652 [details]
Fixing style issues

View in context: https://bugs.webkit.org/attachment.cgi?id=204652&action=review

looks good.

> LayoutTests/fast/exclusions/shape-inside/shape-inside-text-align-expected.html:6
> +<script>
> +</script>

nit: you forgot this empty script.
Comment 6 Bear Travis 2013-06-14 16:03:41 PDT
Created attachment 204741 [details]
Minor adjustment
Comment 7 WebKit Commit Bot 2013-06-17 11:54:16 PDT
Comment on attachment 204741 [details]
Minor adjustment

Clearing flags on attachment: 204741

Committed r151650: <http://trac.webkit.org/changeset/151650>
Comment 8 WebKit Commit Bot 2013-06-17 11:54:18 PDT
All reviewed patches have been landed.  Closing bug.